Bug 1177782 - [RFE][HC] – link to gluster volumes while creating storage domains
Summary: [RFE][HC] – link to gluster volumes while creating storage domains
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: HC_Host_4.0 Gluster-HC-2 1417511
TreeView+ depends on / blocked
 
Reported: 2014-12-30 12:09 UTC by Yaniv Lavi
Modified: 2017-02-15 14:57 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update provides a link to the gluster volume when creating a gluster storage domain, and enables a single unified flow. This enables the backup volfile servers mount options to be auto-populated, and paves the way for integration features like Disaster Recovery setup using gluster geo-replication.
Clone Of:
Environment:
Last Closed: 2017-02-15 14:57:27 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: exception+
ylavi: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 66304 master MERGED engine: ref to gluster_volume in storage_connection 2016-12-22 06:34:40 UTC
oVirt gerrit 66306 master MERGED engine: Update mount options based on gluster volume 2016-12-22 15:59:19 UTC
oVirt gerrit 66307 master MERGED webadmin: Link gluster volume to storage connection 2016-12-22 15:59:43 UTC
oVirt gerrit 69004 ovirt-engine-4.1 MERGED engine: ref to gluster_volume in storage_connection 2017-01-09 10:38:37 UTC
oVirt gerrit 69005 ovirt-engine-4.1 MERGED engine: Query for gluster volumes as storage domains 2017-01-09 10:38:41 UTC
oVirt gerrit 69007 ovirt-engine-4.1 MERGED engine: Update mount options based on gluster volume 2017-01-09 10:38:50 UTC
oVirt gerrit 69008 ovirt-engine-4.1 MERGED webadmin: Link gluster volume to storage connection 2017-01-09 10:38:45 UTC

Description Yaniv Lavi 2014-12-30 12:09:25 UTC
Description of problem:
This feature enables to configure disk and storage devices in host and adding them as storage domain in oVirt in a single unified flow.

Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 10:54:52 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 Sahina Bose 2016-12-22 05:01:32 UTC
The storage domain linking to gluster volume is addressed. While creating a storage domain, user can pick from a list of gluster volumes.

However, we do not have a guided flow from creating gluster volume to storage domain

Comment 3 Sahina Bose 2017-01-02 13:39:15 UTC
Separated out the unified flow into separate Bug 1409567

Comment 4 Eyal Edri 2017-01-23 08:28:38 UTC
Agreed with the Gluster team we can move Gluster bugs to ON_QA on engine build.

Comment 5 SATHEESARAN 2017-02-08 09:27:32 UTC
Tested with Red Hat Virtualization Manager Version: 4.1.0.3-0.1.el7

When creating GlusterFS data domain, I could see the checkbox by the name 'Use managed gluster volume', when checked lists the list of volumes that are managed in that cluster.

When selecting that volume, it is used as the backend for that GlusterFS data domain.


Note You need to log in before you can comment on or make changes to this bug.